PUT api/v1/ParentPsychologyArticles/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
ParentPsychologyArticle| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Title | string |
None. |
|
| Content | string |
None. |
|
| Category | string |
None. |
|
| Audience | byte |
None. |
|
| Mood | string |
None. |
|
| Tags | string |
None. |
|
| ResourceUrl | string |
None. |
|
| ImageUrl | string |
None. |
|
| ReadingTimeMin | integer |
None. |
|
| Locale | string |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"title": "sample string 2",
"content": "sample string 3",
"category": "sample string 4",
"audience": 64,
"mood": "sample string 5",
"tags": "sample string 6",
"resourceUrl": "sample string 7",
"imageUrl": "sample string 8",
"readingTimeMin": 1,
"locale": "sample string 9",
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:09:39.9010022+03:00",
"updatedAt": "2026-04-18T15:09:39.9010022+03:00"
}
application/xml, text/xml
Sample:
<ParentPsychologyArticle xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <Audience>64</Audience> <Category>sample string 4</Category> <Content>sample string 3</Content> <CreatedAt>2026-04-18T15:09:39.9010022+03:00</CreatedAt> <DisplayOrder>1</DisplayOrder> <Id>1</Id> <ImageUrl>sample string 8</ImageUrl> <IsActive>true</IsActive> <IsDeleted>true</IsDeleted> <Locale>sample string 9</Locale> <Mood>sample string 5</Mood> <ReadingTimeMin>1</ReadingTimeMin> <ResourceUrl>sample string 7</ResourceUrl> <Tags>sample string 6</Tags> <Title>sample string 2</Title> <UpdatedAt>2026-04-18T15:09:39.9010022+03:00</UpdatedAt> </ParentPsychologyArticle>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.